<?php
require '../navigation/navigation.php';
session_start();

/* Alphabetische Liste der Session-Variablen:
 * $_SESSION['fehlermeldung']       Fehlermeldung, die von iframe_result.php weitergegeben wird
 * $_SESSION['id_unterschrift']		Soeben erzeugte Unterschrift
 * $_SESSION['id_volksbegehren']	Aktuelles Volksbegehren (d.h. das soeben unterschriebene)
 * $_SESSION['soap_tickets']    	Array aller initialisierten Ticket-Nummern am SOAP-Client von A-Trust
 * $_SESSION['unterschriften']		Assoziativer Array der unterschriebenen Volksbegehren: id_volksbegehren => id_unterschrift
 */

$required = null;

function fehlermeldung ($text) {
	if ($text) {
		return "<div class='tr'><div class='td'></div><div class='td fehler'>$text:</div></div>\n";
	}
}

$url = substr($_SERVER['PHP_SELF'], strlen($verzeichnis));
$url = substr($url, 0, strpos($url, '/'));
$abfrage = $db->query("SELECT * FROM volksbegehren WHERE url='".$db->real_escape_string($url)."'");
unset ($url);
if ($abfrage->num_rows===1) {
	$datensatz = $abfrage->fetch_assoc();
	$id_volksbegehren = $datensatz['id_volksbegehren'];
	$html .= "<h1>".xmlspecialchars($datensatz['kurzbezeichnung'])."</h1>\n";
	if ( ! $_SESSION['unterschriften']) {
		$_SESSION['unterschriften'] = array();
	}
	if ($_SESSION['unterschriften']) {
		if (in_array($id_volksbegehren, array_keys($_SESSION['unterschriften']))) {
			$html .= "<div id='unterschrieben'>\n";
			$html .= "Sie haben das Volksbegehren erfolgreich unterstützt.<br>\n";
			$html .= "Hier können Sie Ihr <a href='{$_SERVER['PHP_SELF']}?herunterladen'>unterschriebenes PDF herunterladen</a>.\n";
			$html .= "</div> <!-- unterschrieben -->\n";
		}
		if (isset($_GET['herunterladen'])) {
			$abfrage = $db->query("SELECT id_unterschrift, UNCOMPRESS(pdf) AS pdf_uncompressed FROM unterschriften WHERE id_unterschrift='{$_SESSION['unterschriften'][$id_volksbegehren]}'");
			$datensatz = $abfrage->fetch_assoc();
			header('Content-Type: application/pdf');
			header("Content-Disposition: attachment; filename=\"Unterstuetzungserklaerung_{$datensatz['id_unterschrift']}.pdf\"");
			echo $datensatz['pdf_uncompressed'];
			die;
		}
	}
	if (isset($_POST['vorname'])) {
		if ($_POST['falle']!='http://' or $_POST['ichbineinrobot']=='ja') {
			$html .= "<h1>Ihre Daten wurden vom Server abgelehnt, weil Sie eines der „verbotenen“ Formularfelder verändert haben</h1>\n";
		}
		else {
			$vorname =        substr(trim($_POST['vorname']) ,0,255);
			$nachname=        substr(trim($_POST['nachname']),0,255);
			$tag     = intval(substr(trim($_POST['tag'])     ,0,3));
			$monat   = intval(substr(trim($_POST['monat'])   ,0,2));
			$jahr    = intval(substr(trim($_POST['jahr'])    ,0,4));
			$plz     = intval(substr(trim($_POST['plz'])     ,0,4));
			$ort     =        substr(trim($_POST['ort'])     ,0,255);
			if (empty($vorname)) {
				$fehler['vorname'] = "Bitte geben Sie Ihren Vornamen ein";
			}
			if (empty($nachname)) {
				$fehler['nachname'] = "Bitte geben Sie Ihren Nachnamen ein";
			}
			$heute = new DateTime();
			$endjahr = $heute->modify('-15 year')->format('Y');
			if (checkdate($monat, $tag, $jahr) && $jahr>=1900 && $jahr<=$endjahr) {
				$geburtsdatum = "$jahr-$monat-$tag";
				$geburtsdatum_formatiert = date("d.m.Y", strtotime($geburtsdatum));
			}
			else {
				$fehler['geburtsdatum'] = "Bitte geben Sie ein gültiges Datum ein";
			}
			if ($plz < 1000) {
				$fehler['plz'] = "Bitte geben Sie eine österreichische Postleitzahl ein";
			}
			if (empty($ort)) {
				$fehler['ort'] = "Bitte geben Sie Ihren Ort (Hauptwohnsitz) ein";
			}
			if ($_POST['bestaetigung'] != 'ja') {
				$fehler['bestaetigung'] = "Bitte bestätigen";
			}
			// SQL-Statement vorbereiten (für SELECT bzw. INSERT):
			$sql = "vorname     ='".$db->real_escape_string($vorname)."'%AND_BEISTRICH%
					nachname    ='".$db->real_escape_string($nachname)."'%AND_BEISTRICH%
					geburtsdatum='".$db->real_escape_string($geburtsdatum)."'%AND_BEISTRICH%
					plz         ='".$db->real_escape_string($plz)."'%AND_BEISTRICH%
					ort         ='".$db->real_escape_string($ort)."'";
			// Prüfen, ob es schon einen identischen Eintrag gibt:
			$abfrage = $db->query("SELECT id_unterschrift FROM unterschriften WHERE id_volksbegehren='$id_volksbegehren' AND timestamp_pdf IS NULL AND ".str_replace('%AND_BEISTRICH%', ' AND ', $sql));
			if ($abfrage->num_rows > 0) {
				$datensatz = $abfrage->fetch_assoc();
				$id_unterschrift = $datensatz['id_unterschrift'];
				unset($fehler);
			}
			elseif ( ! $fehler) {
				$db->query("INSERT INTO unterschriften SET id_volksbegehren='$id_volksbegehren', ".str_replace('%AND_BEISTRICH%', ', ', $sql));
				$id_unterschrift = $db->insert_id;
				if ( ! $id_unterschrift) {
					$html .= "<h2>Es tut uns leid, es ist ein technischer Fehler aufgetreten! Bitte kontaktieren Sie uns unter <a href='office@online-volksbegehren.at'>office@online-volksbegehren.at</a></h2>\n";
				}
			}
			if ($id_unterschrift) {
				$_SESSION['id_unterschrift']  = $id_unterschrift;
				$_SESSION['id_volksbegehren'] = $id_volksbegehren;
				$grau = " class='grau'";
				$aktiv = " class='aktiv'";
				// Eintrag in die Datenbank erfolgreich:
				include_once('../_navigation/tcpdf_min/tcpdf.php');
				class meinPDF extends TCPDF {
					public function Header() {
						$this->SetY(0);
						$this->SetFont('times','',14);
						$this->SetTextColor(255, 64, 0);
						$this->SetFillColor(255, 64, 0);
						/*
						$pdfhtml = "<a href='http://www.online-volksbegehren.at/'>\n";
						$pdfhtml .= "<div>\n";
						$pdfhtml .= "<img src='../logo.png' width='67' height='51'>\n";
						$pdfhtml .= "online-volksbegehren.at\n";
						$pdfhtml .= "</div>\n";
						$pdfhtml .= "</a>\n";
						$this->WriteHTML($pdfhtml, true, true);
						*/
						// $this->Cell(0, 50, '', 0, 1, '', true);
						$this->Image('../logo-pdf.png','95','10','20','','','http://www.online-volksbegehren.at/', 'N', false, 0, 'C');
						$this->Ln(3);
						$this->Write('', 'online-volksbegehren.at', 'http://www.online-volksbegehren.at/', '', 'C');
						//$this->Cell(0, 0, online-volksbegehren.at, 'http://www.online-kuendigen.at/');
			//			$this->Image('logo-pdf.png','90','278','20','','','http://www.online-kuendigen.at/');
						$this->setY(-14);
						$this->setX(180);
						// $this->SetFont('helvetica','',6);
						$this->Cell(0, 0, $id_unterschrift, 0, 0, 'R');
					}
					public function Footer() {
						$this->SetY(-15);
						$this->SetFont('times','',14);
						$this->SetTextColor(255, 64, 0);
						$this->Write('', 'Seite '.$this->getPage().'/'.$this->getNumPages(), '', false, 'C');
					}
					public function Error($fehlermeldung) {
						swiftmail('', 'Online-Volksbegehren: Fehler beim PDF-Erzeugen', "ID Unterschrift: $id_unterschrift\n\nTCPDF-Fehlermeldung:\n$fehlermeldung");
						echo "<h1>Beim Erstellen des PDF ist leider ein Fehler aufgetreten. Wir wurden schon informiert und arbeiten an der Behebung. Danke für Ihr Verständnis!</h1>\n";
					}
				}
				$pdf = new meinPDF();
				$pdf->SetTitle("Unterstützungserklärung $id_unterschrift für Volksbegehren „{$datensatz['kurzbezeichnung']}“");
				$pdf->SetSubject("Unterstützungserklärung $id_unterschrift für Volksbegehren „{$datensatz['kurzbezeichnung']}“");
				$pdf->SetAuthor($vorname.' '.$nachname);
				$pdf->SetKeywords(''); // 'TCPDF' wird anscheinend automatisch an die benutzerdefinierten Keywords angehängt
				$pdf->SetCreator('online-volksbegehren.at');
				$pdf->SetDisplayMode('real'); // Bei der Anzeige: tatsächliche Größe verwenden (100% Zoom)
				$pdf->SetMargins(15, 40); // SetMargins(left, top, ...)
				$pdf->setPrintHeader(true); // Page-Header (=Strich oben) deaktivieren
				$pdf->SetFont('times','',12);
				$pdf->AddPage();
				$pdf->SetTextColor(0);
				$pdf->setY(40);
				$pdf->SetFont('', 'I', 24);
				$pdf->Write('','Unterstützungserklärung für','','','C'); // Write(float Line height, string txt [, mixed link], ...)
				$pdf->Ln(18); // Line break. Ln([float height], ...)
				$pdf->SetFont('', '', 36);
				$pdf->SetTextColor(120);
				$pdf->Write('',$datensatz['kurzbezeichnung'],'','','C'); // Write(float Line height, string txt [, mixed link], ...)
				$pdf->Ln(25); // Line break. Ln([float height], ...)
				$pdf->SetFontSize(12);
				$pdf->SetTextColor(0);
				$pdf->Write('',$datensatz['text']);
				$pdf->Ln(10);
				$pdf->SetFont('', 'B', 14);
				$pdf->Write('','Begründung');
				$pdf->Ln();
				$pdf->SetFont('', '', 12);
				$pdf->Write('',$datensatz['begruendung']);
				$pdf->Ln(10);
				$pdf->SetFont('', 'B', 14);
				$pdf->Write('','Betreiber');
				$pdf->Ln();
				$pdf->SetFont('', '', 12);
				$betreiber = "{$datensatz['bevollmaechtigter_vorname']} {$datensatz['bevollmaechtigter_nachname']} ({$datensatz['bevollmaechtigter_beruf']})";
				for ($i=1; $i<=4; $i++) {
					$betreiber .= ", {$datensatz["stellvertreter{$i}_vorname"]} {$datensatz["stellvertreter{$i}_nachname"]} ({$datensatz["stellvertreter{$i}_beruf"]})";
				}
				$pdf->Write('',$betreiber);
				$pdf->Ln(10);
				$pdf->SetFont('', 'B', 14);
				$pdf->Write('','Persönliche Daten');
				$pdf->Ln();
				$pdf->SetFont('', '', 12);
				$pdf->Write('',"Vorname: $vorname");
				$pdf->Ln();
				$pdf->Write('',"Nachname: $nachname");
				$pdf->Ln();
				$pdf->Write('',"Geburtsdatum: $geburtsdatum_formatiert");
				$pdf->Ln();
				$pdf->Write('',"Postleitzahl: $plz");
				$pdf->Ln();
				$pdf->Write('',"Ort: $ort");
				$pdf->Ln(10);
				$pdf->Write('','Elektronisch unterschrieben am: '.date("d.m.Y").' um '.date("H:i:s"));
				$pdf->Ln();
				$pdf->Write('',"ID: $id_unterschrift");
				$pdfDatei = $pdf->Output('','S');
				///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
				// SSL-Erweiterung in PHP installieren (notwendig für HTTPS-Zugriff):
				// In php.ini diesen Eintrag hinzufügen: extension=php_openssl.dll
				// Kontrolle: In phpinfo() muss bei "Registered PHP Streams" auch "https" aufgelistet sein
				$soap_parameter = array(
						'compression' => SOAP_COMPRESSION_ACCEPT | SOAP_COMPRESSION_GZIP,
						'soap_version' => SOAP_1_2,
						'encoding' => 'UTF-8',
						'content-type' => 'application/soap+xml',
						'ssl_method', SOAP_SSL_METHOD_TLS);
				$wsdl = 'https://www.handy-signatur.at/pdf/service/HandySignaturPdf.svc?wsdl';
				try { // Versuch 1
					$client = new SoapClient($wsdl, $soap_parameter); // https://www.handy-signatur.at/pdf/service/HandySignaturPdf.svc?wsdl
				}
				catch(Exception $e_client1) {
					$fehler1[1]['zeit'] = date("d.m.Y H:i:s");
					$fehler1[1]['meldung'] = $e_client1->getMessage();
					sleep(1);
					try { // Versuch 2
						$client = new SoapClient($wsdl, $soap_parameter);
					}
					catch(Exception $e_client2) {
						$fehler1[2]['zeit'] = date("d.m.Y H:i:s");
						$fehler1[2]['meldung'] = $e_client2->getMessage();
						sleep(2);
						try { // Versuch 3
							$client = new SoapClient($wsdl, $soap_parameter);
						}
						catch(Exception $e_client3) {
							$fehler1[3]['zeit'] = date("d.m.Y H:i:s");
							$fehler1[3]['meldung'] = $e_client3->getMessage();
							sleep(5);
							try { // Versuch 4
								$client = new SoapClient($wsdl, $soap_parameter);
							}
							catch(Exception $e_client4) {
								$fehler1[4]['zeit'] = date("d.m.Y H:i:s");
								$fehler1[4]['meldung'] = $e_client4->getMessage();
								sleep(10);
								try { // Versuch 5
									$client = new SoapClient($wsdl, $soap_parameter);
								}
								catch(Exception $e_client5) {
									$fehler1[5]['zeit'] = date("d.m.Y H:i:s");
									$fehler1[5]['meldung'] = $e_client5->getMessage();
								}
							}
						}
					}
				}
				if ($client) {
					$actionHeader = new SoapHeader(
							'http://www.w3.org/2005/08/addressing',
							'Action',
							'http://www.a-trust.at/mobile/pdf/IHandySignaturPdf/StartSignature');
					$client->__setSoapHeaders($actionHeader);
					$signatur_parameter = array(
							'ApiKey'                => '',
							'DocumentData'          => $pdfDatei, // file_get_contents('diagnose.pdf'),
							'DocumentName'          => "OK_{$_SESSION['pdf_dateiname_lang']}",
							'RedirectURL'           => 'http://www.online-volksbegehren.at/vorschau/iframe_result.php', // Redirect on success
							'ErrorURL'              => 'http://www.online-volksbegehren.at/', // Redirect on failure
							'HandySignaturParameter'=> 'width=388&height=225&backgroundcolor=white&redirecttarget=_parent&ShowCancelButton=false', // http://labs.a-trust.at/developer/ShowSource.aspx?id=113
							'Location'              => $_SESSION['benutzer_ort'],
							'Reason'                => 'Volksbegehren');
					try { // Versuch 1:
						$result = $client->StartSignature($signatur_parameter); // Kurzschreibweise für: SoapClient::__soapCall
					}
					catch(Exception $e_signatur1) {
						$fehler2[1]['zeit'] = date("d.m.Y H:i:s");
						$fehler2[1]['meldung'] = $e_signatur1->getMessage();
						sleep(1);
						try { // Versuch 2:
							$result = $client->StartSignature($signatur_parameter);
						}
						catch(Exception $e_signatur2) {
							$fehler2[2]['zeit'] = date("d.m.Y H:i:s");
							$fehler2[2]['meldung'] = $e_signatur2->getMessage();
							sleep(2);
							try { // Versuch 3:
								$result = $client->StartSignature($signatur_parameter);
							}
							catch(Exception $e_signatur3) {
								$fehler2[3]['zeit'] = date("d.m.Y H:i:s");
								$fehler2[3]['meldung'] = $e_signatur3->getMessage();
								sleep(5);
								try { // Versuch 4:
									$result = $client->StartSignature($signatur_parameter);
								}
								catch(Exception $e_signatur4) {
									$fehler2[4]['zeit'] = date("d.m.Y H:i:s");
									$fehler2[4]['meldung'] = $e_signatur4->getMessage();
									sleep(10);
									try { // Versuch 5:
										$result = $client->StartSignature($signatur_parameter);
									}
									catch(Exception $e_signatur5) {
										$fehler2[5]['zeit'] = date("d.m.Y H:i:s");
										$fehler2[5]['meldung'] = $e_signatur5->getMessage();
									}
								}
							}
						}
					}
					if ($result) {
						if ($result->StartSignatureResult === 0) { // 0 heißt Success: Das aufgerufene Service war erfolgreich.
							$_SESSION['soap_tickets'][] = $result->Ticket; // z.B.: MG_bgfezzteidyvadjnjbrnusriqndv
							$iframe = "<iframe id='iframe' src='{$result->HandySignaturUrl}' width='388' height='225' frameborder='0' scrolling='no'></iframe>\n"; // ursprünglich: width='395' height='225'
						}
						else {
							$iframe .= "<div class='warnung'><strong style='text-transform:uppercase'>Es tut uns leid:</strong> Der Signatur-Server (Firma A-Trust) ist momentan nicht erreichbar. Bitte warten Sie ein paar Minuten und drücken dann die F5-Taste (oder den Neu-Laden-Knopf Ihres Browsers), um es noch einmal zu versuchen.</div>\n";
							swiftmail(array(''),"Online-Volksbegehren: SOAP-Fehlermeldung: {$result->StartSignatureResult} Ticket: {$result->Ticket}","Ticket: {$result->Ticket}\nError: {$result->StartSignatureResult}\n\nID Kündigung: {$_SESSION['id_kuendigung']}\n\n{$_SESSION['benutzer_name']} <{$_SESSION['benutzer_email']}>\r\n{$_SESSION['pdf_dateiname_lang']}", $pdfDatei);
						}
					}
				}
				if ( ! $client or ! $result) {
					$fehlermeldung = "<div class='warnung'><strong style='text-transform:uppercase'>Es tut uns leid:</strong> Der Signatur-Server (Firma A-Trust) ist momentan nicht erreichbar. Bitte drücken Sie die F5-Taste (oder den Neu-Laden-Knopf Ihres Browsers), um es noch einmal zu versuchen.</div>\n";
					$mail_subject = 'Online-Volksbegehren: SOAP-Aufruf endgültig fehlgeschlagen (nach 5 Versuchen)';
					$iframe .= $fehlermeldung;
					if ( ! empty($_SESSION['benutzer_email'])) {
						$db->query("INSERT INTO server_fehler SET email='".$db->real_escape_string($_SESSION['benutzer_email'])."'");
					}
				}
				if ($e_client1 or $e_signatur1) {
					if ( ! $mail_subject) {
						$anzahl1 = count($fehler1);
						$anzahl2 = count($fehler2);
						$mail_subject = "Online-Volksbegehren: Fehlversuche bei SOAP-Aufruf: $fehler1 beim Initialisieren | $fehler2 bei StartSignature()";
					}
					$mail_text = "Fehlermeldungen:\n\n";
					foreach ($fehler1 as $nummer => $inhalt) {
						$mail_text .= "{$inhalt['zeit']}:\n{$inhalt['meldung']}\n\n";
					}
					$mail_text .= "\n\n";
					foreach ($fehler2 as $nummer => $inhalt) {
						$mail_text .= "{$inhalt['zeit']}:\n{$inhalt['meldung']}\n\n";
					}
					swiftmail(array(''), $mail_subject, $mail_text."\n\n\nid_unterschrift: $id_unterschrift\n");
				}
			}
		}
	}
	if ( ! in_array($id_volksbegehren, array_keys($_SESSION['unterschriften']))) {
		$html .= "<div id='text'>".nl2br(xmlspecialchars($datensatz['text']))."</div>\n";
		$html .= "<div id='begruendung'><h2>Begründung</h2>\n".nl2br(xmlspecialchars($datensatz['begruendung']))."</div>\n";
		if ( ! empty($datensatz['website'])) {
			$html .= "<a href='{$datensatz['website']}'>{$datensatz['website']}</a>\n";
		}
		$html .= "<h2>Betreiber</h2>\n";
		$html .= "<p>{$datensatz['bevollmaechtigter_vorname']} {$datensatz['bevollmaechtigter_nachname']} ({$datensatz['bevollmaechtigter_beruf']})";
		for ($i=1; $i<=4; $i++) {
			$html .= ", {$datensatz["stellvertreter{$i}_vorname"]} {$datensatz["stellvertreter{$i}_nachname"]} ({$datensatz["stellvertreter{$i}_beruf"]})\n";
		}
		$html .= "</p>\n";
		$html .= "<h2 id='unterschreiben'>Dieses Volksbegehren unterstützen</h2>\n";
		$html .= "<div id='div-unterschreiben'$grau>\n";
		$html .= "<h3>1. Persönliche Daten eingeben</h3>\n";
		$html .= "<form method='post' action='#unterschreiben'>\n";
		$html .= "<div class='table'>\n";
		$value_vorname = $vorname ? "value='".xmlspecialchars($vorname)."'" : null;
		$html .= fehlermeldung($fehler['vorname']);
		$html .= "<div class='tr'>\n";
		$html .= "<div class='th'><label for='input_vorname'>Vorname</label></div>\n";
		$html .= "<div class='td'><input type='text' name='vorname' id='input_vorname' $value_vorname $required maxlength='255'></div>\n";
		$html .= "</div> <!-- tr -->\n";
		$html .= "<div class='tr schlecht'>\n";
		$html .= "<div class='th'><label for='input-falle'>Dieses Feld nicht verändern!</label></div>\n";
		$html .= "<div class='td'><input type='text' name='falle' id='input-falle' value='http://' maxlength='255'></div>\n";
		$html .= "</div> <!-- tr -->\n";
		$value_nachname = $nachname ? "value='".xmlspecialchars($nachname)."'" : null;
		$html .= fehlermeldung($fehler['nachname']);
		$html .= "<div class='tr'>\n";
		$html .= "<div class='th'><label for='input_nachname'>Nachname</label></div>\n";
		$html .= "<div class='td'><input type='text' name='nachname' id='input_nachname' $value_nachname $required maxlength='255'></div>\n";
		$html .= "</div> <!-- tr -->\n";
		$html .= fehlermeldung($fehler['geburtsdatum']);
		$html .= "<div class='tr'>\n";
		$html .= "<div class='th'><span id='label_geburtsdatum' class='label'>Geburtsdatum</span></div>\n";
		$html .= "<div class='td'>\n";
		$html .= "<fieldset class='unsichtbar'>\n";
		$html .= "<legend>Geburtsdatum</legend>\n";
		$html .= "<select name='tag' aria-labelledby='label_geburtsdatum' $required>\n";
		$selected = $tag ? null : ' selected';
		$html .= "<option value='' disabled$selected class='select-beschriftung'>Tag</option>\n";
		unset($selected);
		for ($i=1;$i<=31;$i++) {
			$selected = $_POST['tag']==$i ? ' selected' : null;
			$html .= "<option$selected>$i</option>\n";
			unset($selected);
		}
		$html .= "</select>\n";
		$monate = array('Jänner'=>1, 'Februar'=>2, 'März'=>3, 'April'=>4, 'Mai'=>5, 'Juni'=>6, 'Juli'=>7, 'August'=>8, 'September'=>9, 'Oktober'=>10, 'November'=>11, 'Dezember'=>12);
		$html .= "<select name='monat' aria-labelledby='label_geburtsdatum' $required>\n";
		$selected = $month ? null : ' selected';
		$html .= "<option value='' disabled$selected class='select-beschriftung'>Monat</option>\n";
		unset($selected);
		foreach ($monate as $monat => $nummer) {
			$selected = $_POST['monat']==$nummer ? ' selected' : null;
			$html .= "<option value='$nummer'$selected>$monat</option>\n";
			unset($selected);
		}
		$html .= "</select>\n";
		$html .= "<select name='jahr' aria-labelledby='label_geburtsdatum' $required>\n";
		$selected = $year ? null : ' selected';
		$html .= "<option value='' disabled$selected class='select-beschriftung'>Jahr</option>\n";
		$heute = new DateTime();
		$ende = $heute->modify('-15 year')->format('Y');
		for ($i=1900; $i<=$ende; $i++) {
			$selected = $_POST['jahr']==$i ? ' selected' : null;
			$html .= "<option$selected>$i</option>\n";
			unset($selected);
		}
		$html .= "</select>\n";
		$html .= "</fieldset>\n";
		$html .= "</div> <!-- td -->\n";
		$html .= "</div> <!-- tr -->\n";
		$value_plz = $plz ? "value='".xmlspecialchars($plz)."'" : null;
		$html .= fehlermeldung($fehler['plz']);
		$html .= "<div class='tr'>\n";
		$html .= "<div class='th'><label for='input_plz'>Postleitzahl</label></div>\n";
		$html .= "<div class='td'><input type='number' name='plz' id='input_plz' $value_plz $required min='1000' max='9999'></div>\n";
		$html .= "</div> <!-- tr -->\n";
		$value_ort = $ort ? "value='".xmlspecialchars($ort)."'" : null;
		$html .= fehlermeldung($fehler['ort']);
		$html .= "<div class='tr'>\n";
		$html .= "<div class='th'><label for='input_ort'>Ort</label></div>\n";
		$html .= "<div class='td'><input type='text' name='ort' id='input_ort' $value_ort $required maxlength='255'></div>\n";
		$html .= "</div> <!-- tr -->\n";
		$value_bestaetigung = $_POST['bestaetigung']=='ja' ? 'checked' : null;
		$html .= fehlermeldung($fehler['bestaetigung']);
		$html .= "<div class='tr'>\n";
		$html .= "<div class='th'><span id='label_bestaetigung' class='label'>Bestätigung</span></div>\n";
		$html .= "<div class='td'><label><input type='checkbox' name='bestaetigung' id='input_bestaetigung' value='ja' $value_bestaetigung $required> Ich bestätige, dass ich in diesem Ort meinen Hauptwohnsitz habe und wahlberechtigt bin</label></div>\n";
		$html .= "</div> <!-- tr -->\n";
		$html .= "<div class='tr schlecht'>\n";
		$html .= "<div class='th'><span id='label_ichbineinrobot' class='label'>Nicht anhaken!</span></div>\n";
		$html .= "<div class='td'><label><input type='checkbox' name='ichbineinrobot' id='input_ichbineinrobot' value='ja' aria-describedby='label_ichbineinrobot'>&lt;= Nicht verändern!</label></div>\n";
		$html .= "</div> <!-- tr -->\n";
		$html .= "</div> <!-- table -->\n";
		$html .= "<input type='submit' value='Weiter »'>\n";
		$html .= "</form>\n";
		$html .= "</div> <!-- div-unterschreiben -->\n";
		if ($id_unterschrift) {
			
		}
		else {
			$aktiv = " class='grau'";
		}
		$html .= "<div id='handysignatur-container'$aktiv>\n";
		$html .= "<h3>2. Mit <a href='../haeufige-fragen/#f3'>Handy-Signatur</a> unterschreiben</h3>\n";
		$html .= "<div id='handysignatur'>\n";
		$html .= $iframe;
		$html .= "</div> <!-- handysignatur -->\n";
		$html .= "</div> <!-- handysignatur-container -->\n";
		$html .= "<div style='clear:left'></div>\n";
	}
}
else {
	header("Location: http://{$_SERVER['SERVER_NAME']}/");
}
$html .= seitenfuss();
echo $html;
?>