<?php
require '../navigation/navigation.php';
echo $html;
?>

<h1>Häufige Fragen</h1>

<h2 id='f1' class='frage'>Ist online-volksbegehren.at sicher?</h2>
<div class='antwort'>Ja. Unterschrieben wird mit der (kostenlosen) staatlichen Handy-Signatur, die über eigene Hochsicherheits-Server abgewickelt wird. Alle Daten werden bis zur Übergabe an das Innenministerium sicher verwahrt.</div>

<h2 id='f2' class='frage'>Wer betreibt online-volksbegehren.at?</h2>
<div class='antwort'>Noch ist das Service eine Privatinitiative, da sich die Regierung zwar auf elektronische Volksbegehren geeinigt hat, aber sie bisher noch nicht umsetzen konnte. Das liegt vor allem daran, dass sie Teil eines größeren „Demokratie-Pakets“ sind. Momentan wird das Projekt durch die Internet Foundation Austria (IPA) im Rahmen der netidee unterstützt. Die Website online-volksbegehren.at ist allerdings so konzipiert, dass sie an den Staat übergeben werden kann.</div>

<h2 id='f3' class='frage'>Wo bekomme ich die staatliche Handy-Signatur?</h2>
<div class='antwort'>Am besten über FinanzOnline. Dort einloggen und dann auf den unteren großen grünen Knopf drücken („Handy Signatur jetzt aktivieren“). Nach Eingabe der eigenen Handynummer (jedes Handy-Modell ist für die Handy-Signatur geeignet) müssen Sie allerdings ein paar Tage warten. Denn zur Sicherheit wird Ihnen ein (eingeschriebener) Brief mit einem Code an jene Adresse zugeschickt, an der Sie gemeldet sind. Nach Eingabe des Codes ist die Handy-Signatur aktiviert. Dabei entstehen für Sie <span style='text-transform:uppercase'>keinerlei Kosten</span>.</div>

<h2 id='f4' class='frage'>Kann jede(r) ein Online-Volksbegehren starten?</h2>
<div class='antwort'>Ja. Zumindest jede(r), die in Österreich ihren Hauptwohnsitz hat, in der so genannten Wählerevidenz eingetragen und zum Nationalrat wahlberechtigt ist (so steht es im Volksbegehrengesetz). Der Einleitungsantrag muss laut Gesetz folgende Punkte enthalten:
<ol>
<li>den Text des Volksbegehrens in Form eines Gesetzesantrages oder einer Anregung</li>
<li>allenfalls eine Kurzbezeichnung, die höchstens drei Worte umfassen darf</li>
<li>die Bezeichnung eines Bevollmächtigten sowie von vier Stellvertretern (Familienname oder Nachname, Vorname, Beruf, Adresse), die, ist der Bevollmächtigte an der Ausübung seiner Funktion verhindert, in der bezeichneten Reihenfolge ermächtigt sind, die Unterzeichner des Antrags zu vertreten</li>
<li>die Bezeichnung eines Bankkontos, zu dem der Bevollmächtigte und seine Stellvertreter nur gemeinsam zeichnungsberechtigt sind</li>
<li>die Unterschriften des Bevollmächtigten sowie der Stellvertreter.</li>
</ol>
</div>

<h2 id='f5' class='frage'>Kostet ein Volksbegehren etwas?</h2>
<div class='antwort'>Auf online-volksbegehren.at <span style='text-transform:uppercase'>Nein</span>. Nur in der alten Form, die noch immer in den Gesetzen verankert ist, fallen Kosten an. Der Staat verlangt für das Auslegen in allen Gemeindeämtern insgesamt 2.750 € auf einem eigenen Konto (einen Teil des Geldes könnte es eventuell zurückgeben). Bleibt das Volksbegehren nur online, entstehen keine Kosten.</div>

<h2 id='f6' class='frage'>Könnte man nicht auch Wahlen elektronisch abwickeln (E-Voting)?</h2>
<div class='antwort'>
<p>Als Betreiber von www.online-volksbegehren.at kennen wir uns mit elektronischen Unterschriften – sagen wir es einmal relativ bescheiden – ganz gut aus. Wir schätzen die Gleichstellung zur herkömmlichen Unterschrift sehr, denn das erleichtert das Leben (neben Volksbegehren auch bei <a href='http://www.online-kuendigen.at/'>Kündigungen</a> und Amtswegen).
Aber genau weil wir die Materie kennen, sind wir bei Wahlen strikt gegen jede Form der elektronischen Stimmabgabe.
</p>
<p>Warum? Weil Wahlen anonym abgehalten werden müssen. Aber genau das ist bei elektronischen Unterschriften nicht garantiert. Denn die sind nun einmal darauf ausgelegt, dass sie überprüft und zurückverfolgt werden können.
</p>
<p>Präziser erklärt: Wahlen sind das Herzstück der Demokratie. Wer eine Wahl fälscht, kann die Demokratie aushebeln und ein komplettes Land irreversibel unter seine Kontrolle bringen.<br>
Wie sichert man eine Wahl ab? Indem man jeden Schritt so transparent wie möglich gestaltet.<br>
Wie ist das in der Praxis gelöst: Die Stimmabgabe findet in überschaubaren Sprengeln mit jeweils nur ein paar Tausend Wahlberechtigten statt. Während der Stimmabgabe und -auszählung beobachten mehrere Wahlhelfer, ob augenscheinlich alles mit rechten Dingen zugeht. Die Ergebnisse werden für jeden Sprengel separat veröffentlicht, d.h. alle Interessierten (also insbesondere Vertreter der Parteien) haben die Möglichkeit, jedes Teilergebnis auf Plausibilität zu prüfen.<br>
Grundsätzlich ist das gesamte System also so ausgelegt, dass <strong>jeder Bürger ohne Vorkenntnisse jeden einzelnen Schritt nachprüfen</strong> kann.<br>
Um die Wahl in einem einzigen Sprengel zu fälschen, benötigt man mehrere Personen, die zumindest einige Stunden lang vor Ort anwesend sind. Die Dezentralisierung hilft aber: Ein gefälschtes Ergebnis in einem einzigen Sprengel verändert das Gesamtergebnis nicht merklich.
Um eine gesamte Wahl tatsächlich zu fälschen, müsste man mehrere Hundert Sprengel infiltrieren – was hunderte (wenn nicht tausende) Komplizen erfordern würde. Und selbst dann würde den „korrekten“ Wahlbeobachtern vermutlich auffallen, dass in ihrem Sprengel seltsame Dinge passiert sind; d.h. man würde die Wahl im Zweifel wohl entweder neu auszählen oder komplett wiederholen.
</p>
<p><strong>Wie funktioniert E-Voting:</strong> Die Bürger geben ihre Stimme an einem Computer ab, von dort wird sie <em>irgendwie</em> zu einem Zentralrechner übertragen, dort wird sie <em>irgendwie</em> anonymisiert, und in <em>irgendeine</em> Datenbank eingetragen, aus der am Ende dann <em>irgendwie</em> das Ergebnis abgefragt wird. Hier ist schon von vornherein klar: <strong>Ein normaler Mensch kann hier gar nichts mehr nachprüfen.</strong><br>
Und dass ein Computersystem jemals absolut sicher sein könnte, ist eine naive Illusion. Bisher sind in jedem Computersystem früher oder später Sicherheitslücken aufgetaucht. Und genau das ist das Problem bei E-Voting: Um eine elektronische Wahl zu fälschen, braucht man nicht Heerscharen von Komplizen, die stundenlang in Wahlkommissionen sitzen. Es genügt eine Handvoll (vielleicht sogar ein einziger) talentierter Hacker. Er muss nirgends vor Ort sein – und bleibt vollkommen anonym.<br> 
Also: <strong>Hände weg vor elektronischen Wahlen!</strong> Aber her mit vielen nützlichen Anwendungen für die elektronische Unterschrift. online-volksbegehren ist nur eine davon.
</p>
<p>Warum hier elektronische Unterschriften kein Problem sind?</p>
<ul>
<li>Wenn Zweifel an der Echtheit eines Volksbegehrens bestehen, ist es grundsätzlich möglich, bei den Unterzeichnern nachzufragen, ob sie wirklich unterschrieben haben. Das ist gar nicht so unrealistisch, wie es vielleicht klingen mag: Einfach aus dem gesamten Pool 100 Unterzeichner zufällig auswählen und kontaktieren. Und wenn davon 99 von dem Volksbegehren noch nie etwas gehört haben, kann irgendwas nicht stimmen.</li>
<li>Volksbegehren haben noch eine Kontrollinstanz – selbst dann, wenn sie gesetzlich aufgewertet werden. Denn jedes Begehren muss in ein Gesetz gegossen und vom Nationalrat beschlossen werden.</li>
</ul>
</div>



<?php
$html = seitenfuss();
echo $html;
?>
