<?php
// Error Codes:
// Error_Success = 0,                          Das aufgerufene Service war erfolgreich.
// Error_Failure = -1,	                       Ein unbekannter Feher ist aufgetreten.
// Error -1000,                                Falsches oder unbekanntes Ticket
// Error_FileToBig = -1001,                    Das zu signierende bzw. signierte Dokument ist zu groß.
// Error_InvalidParameter = -1003,	           Einer der Angebenen Paramater enthält einen ungültigen Wert.
// Error_InvalidTicket = -1004,                Das angebenene Ticket ist nicht vorhanden oder bereits geschlossen.
// Error_Timeout = -1005,	                   Der betreffende Signaturauftrag ist ausgelaufen.
// Error_InvalidStatus = -1006,                Der betreffende Signaturauftrag befindet sich in einem für diese Operation ungültigen Status.
// Error_InvalidResponseFromHandySig = -1007,  Die A-Trust Handysignatur hat einen Fehler geliefert.
// Error_PreparePdf = -1008,                   Das hochgeladene Dokument konnte nicht verarbeitet werden.
// Error_AccessDenied = -1011                  Der API-Key hat keine Berechtigung

$ApiKey = '';
require '_navigation/navigation.php';
session_start();
$ticket = $_GET['Ticket'];
if (in_array($ticket, $_SESSION['soap_tickets'], true)) { // z.B.: MG_bgfezzteidyvadjnjbrnusriqndv
	$soap_parameter = array(
		'compression' => SOAP_COMPRESSION_ACCEPT | SOAP_COMPRESSION_GZIP,
		'soap_version' => SOAP_1_2,
		'encoding' => 'UTF-8',
		'content-type' => 'application/soap+xml',
		'ssl_method', SOAP_SSL_METHOD_TLS);
	$wsdl = 'https://www.handy-signatur.at/pdf/service/HandySignaturPdf.svc?wsdl';
	try { // Versuch 1
		$client = new SoapClient($wsdl, $soap_parameter); // https://www.handy-signatur.at/pdf/service/HandySignaturPdf.svc?wsdl
	}
	catch(Exception $e_client1) {
		$fehler1[1]['zeit'] = date("d.m.Y H:i:s");
		$fehler1[1]['meldung'] = $e_client1->getMessage();
		sleep(1);
		try { // Versuch 2
			$client = new SoapClient($wsdl, $soap_parameter);
		}
		catch(Exception $e_client2) {
			$fehler1[2]['zeit'] = date("d.m.Y H:i:s");
			$fehler1[2]['meldung'] = $e_client2->getMessage();
			sleep(2);
			try { // Versuch 3
				$client = new SoapClient($wsdl, $soap_parameter);
			}
			catch(Exception $e_client3) {
				$fehler1[3]['zeit'] = date("d.m.Y H:i:s");
				$fehler1[3]['meldung'] = $e_client3->getMessage();
				sleep(5);
				try { // Versuch 4
					$client = new SoapClient($wsdl, $soap_parameter);
				}
				catch(Exception $e_client4) {
					$fehler1[4]['zeit'] = date("d.m.Y H:i:s");
					$fehler1[4]['meldung'] = $e_client4->getMessage();
					sleep(10);
					try { // Versuch 5
						$client = new SoapClient($wsdl, $soap_parameter);
					}
					catch(Exception $e_client5) {
						$fehler1[5]['zeit'] = date("d.m.Y H:i:s");
						$fehler1[5]['meldung'] = $e_client5->getMessage();
					}
				}
			}
		}
	}
	if ($client) {
		$actionHeader = new SoapHeader(
			'http://www.w3.org/2005/08/addressing',
			'Action',
			'http://www.a-trust.at/mobile/pdf/IHandySignaturPdf/EndSignature');
		$client->__setSoapHeaders($actionHeader);
		$parameter_endsignature = array(
			'ApiKey' => $ApiKey,
			'Ticket' => $ticket);
		try {
			$result1 = $client->EndSignature($parameter_endsignature); // signiertes PDF abholen
		}
		catch (Exception $e_signatur1) {
			$fehler2[1]['zeit'] = date("d.m.Y H:i:s");
			$fehler2[1]['meldung'] = $e_signatur1->getMessage();
			sleep(1);
			try { // Versuch 2
				$result1 = $client->EndSignature($parameter_endsignature);
			}
			catch (Exception $e_signatur2) {
				$fehler2[2]['zeit'] = date("d.m.Y H:i:s");
				$fehler2[2]['meldung'] = $e_signatur2->getMessage();
				sleep(2);
				try { // Versuch 3
					$result1 = $client->EndSignature($parameter_endsignature);
				}
				catch (Exception $e_signatur3) {
					$fehler2[3]['zeit'] = date("d.m.Y H:i:s");
					$fehler2[3]['meldung'] = $e_signatur3->getMessage();
					sleep(5);
					try { // Versuch 4
						$result1 = $client->EndSignature($parameter_endsignature);
					}
					catch (Exception $e_signatur4) {
						$fehler2[4]['zeit'] = date("d.m.Y H:i:s");
						$fehler2[4]['meldung'] = $e_signatur4->getMessage();
						sleep(10);
						try { // Versuch 5
							$result1 = $client->EndSignature($parameter_endsignature);
						}
						catch (Exception $e_signatur5) {
							$fehler2[5]['zeit'] = date("d.m.Y H:i:s");
							$fehler2[5]['meldung'] = $e_signatur5->getMessage();
						}
					}
				}
			}
		}
		if ($result1) {
			if ($result1->EndSignatureResult === 0) { // 0 heißt Error_Success: Das aufgerufene Service war erfolgreich.
				$signiertes_pdf = $db->real_escape_string($result1->DocumentData);
				// Zertifikat auslesen:
	            $actionHeader = new SoapHeader(
	                'http://www.w3.org/2005/08/addressing',
	                'Action',
	                'http://www.a-trust.at/mobile/pdf/IHandySignaturPdf/GetCertificate'
	            );
	            $client->__setSoapHeaders($actionHeader);
	            $parameter_getcertificate = array(
					'ApiKey' => $ApiKey,
					'Ticket' => $ticket);
	            try {
    	        	$result2 = $client->GetCertificate($parameter_getcertificate);
	            }
	            catch (Exception $e_certificate1) {
	            	$fehler3[1]['zeit'] = date("d.m.Y H:i:s");
	            	$fehler3[1]['meldung'] = $e_certificate1->getMessage();
	            	sleep(1);
	            	try { // Versuch 2
	            		$result2 = $client->GetCertificate($parameter_getcertificate);
	            	}
	            	catch (Exception $e_certificate2) {
	            		$fehler3[2]['zeit'] = date("d.m.Y H:i:s");
	            		$fehler3[2]['meldung'] = $e_certificate2->getMessage();
	            		sleep(2);
	            		try { // Versuch 3
	            			$result2 = $client->GetCertificate($parameter_getcertificate);
	            		}
	            		catch (Exception $e_certificate3) {
	            			$fehler3[3]['zeit'] = date("d.m.Y H:i:s");
	            			$fehler3[3]['meldung'] = $e_certificate3->getMessage();
	            			sleep(5);
	            			try { // Versuch 4
	            				$result2 = $client->GetCertificate($parameter_getcertificate);
	            			}
	            			catch (Exception $e_certificate4) {
	            				$fehler3[4]['zeit'] = date("d.m.Y H:i:s");
	            				$fehler3[4]['meldung'] = $e_certificate4->getMessage();
	            				sleep(10);
	            				try { // Versuch 5
	            					$result2 = $client->GetCertificate($parameter_getcertificate);
	            				}
	            				catch (Exception $e_certificate5) {
	            					$fehler3[5]['zeit'] = date("d.m.Y H:i:s");
	            					$fehler3[5]['meldung'] = $e_certificate5->getMessage();
	            				}
	            			}
	            		}
	            	}
				}
	            if ($result2) {
                    if ($result2->GetCertificateResult === 0) {
                        $beginpem = "-----BEGIN CERTIFICATE-----\n";
                        $endpem = "-----END CERTIFICATE-----\n";
                        $certificate = $beginpem . chunk_split($result2->CertificateB64, 64, "\n") . $endpem;
                        $zertifikat = openssl_x509_parse($certificate);
                        $zertifikat_nummer   = $db->real_escape_string($zertifikat['subject']['serialNumber']);
                        $zertifikat_vorname  = $db->real_escape_string($zertifikat['subject']['GN']);
                        $zertifikat_nachname = $db->real_escape_string($zertifikat['subject']['SN']);
                        $zertifikat_titel    = $db->real_escape_string($zertifikat['subject']['title']);
                        // Prüfen, ob dieser Benutzer dieses Volksbegehren schon unterschrieben hat:
                        $abfrage = $db->query("SELECT id_unterschrift FROM unterschriften WHERE id_volksbegehren='{$_SESSION['id_volksbegehren']}' AND zertifikat_nummer='$zertifikat_nummer'");
                        if ($abfrage->num_rows > 0) {
                        	$datensatz = $abfrage->fetch_assoc();
	                        $_SESSION['unterschriften'][$_SESSION['id_volksbegehren']] = $datensatz['id_unterschrift'];
                        }
                        else {
	                        $sql = "UPDATE unterschriften SET zertifikat_nummer='$zertifikat_nummer', zertifikat_vorname='$zertifikat_vorname', zertifikat_nachname='$zertifikat_nachname', zertifikat_titel='$zertifikat_titel', pdf=COMPRESS('$signiertes_pdf'), timestamp_pdf=NOW() WHERE id_unterschrift='{$_SESSION['id_unterschrift']}'";
	                        mail ('thomas@landauer.at', 'Test', $result2->DocumentData."\n\n\n\n\n".$sql);
	                        $ok = $db->query($sql);
	                        if ($ok) {
	                        	$_SESSION['unterschriften'][$_SESSION['id_volksbegehren']] = $_SESSION['id_unterschrift'];
	                        }
	                        else {
	                        	$_SESSION['fehlermeldung'] = "<div class='warnung'><strong style='text-transform:uppercase'>Es tut uns leid:</strong> Beim Schreiben in die Datenbank ist leider ein technischer Fehler aufgetreten.</div>\n";
	                        	swiftmail('', "Online-Volksbegehren: Fehler beim Schreiben in die Datenbank", $db->error);
	                        }
                        }
                    }
                    else {
	                    $_SESSION['fehlermeldung'] = "<div class='warnung'><strong style='text-transform:uppercase'>Es tut uns leid:</strong> Beim Signieren ist leider ein technischer Fehler aufgetreten.</div>\n";
						swiftmail(array(''),"Online-Volksbegehren: Fehlermeldung bei EndSignatureResult: {$result->GetCertificateResult}",$result->GetCertificateResult);
                    }
	            }
			}
			else {
				$_SESSION['fehlermeldung'] = "<div class='warnung'><strong style='text-transform:uppercase'>Es tut uns leid:</strong> Beim Signieren ist leider ein technischer Fehler aufgetreten.</div>\n";
				swiftmail(array(''),"Online-Volksbegehren: Fehlermeldung bei EndSignatureResult: {$result->EndSignatureResult}",$result->EndSignatureResult);
			}
		}
	}
	if ( ! $client or ! $result1 or ! $result2) {
		$fehlermeldung = "<div class='warnung'><strong style='text-transform:uppercase'>Es tut uns leid:</strong> Der Signatur-Server (Firma A-Trust) ist momentan nicht erreichbar. Bitte drücken Sie die F5-Taste (oder den Neu-Laden-Knopf Ihres Browsers), um es noch einmal zu versuchen.</div>\n";
		$mail_subject = 'Online-Volksbegehren: SOAP-Aufruf nach dem Signieren endgültig fehlgeschlagen (nach 5 Versuchen)';
		$html .= $fehlermeldung;
		if ( ! empty($_SESSION['benutzer_email'])) {
			$db->query("INSERT INTO server_fehler SET email='".$db->real_escape_string($_SESSION['benutzer_email'])."'");
		}
	}
	if ($e_client1 or $e_signatur1 or $e_certificate1) {
		if ( ! $mail_subject) {
			$anzahl1 = count($fehler1);
			$anzahl2 = count($fehler2);
			$anzahl2 = count($fehler3);
			$mail_subject = "Online-Volksbegehren: Fehlversuche bei SOAP-Aufruf nach dem Signieren: $fehler1 beim Initialisieren | $fehler2 bei StartSignature() | $fehler3 bei GetCertificate()";
		}
		$mail_text = "Fehlermeldungen:\n\n";
		foreach ($fehler1 as $nummer => $inhalt) {
			$mail_text .= "{$inhalt['zeit']}:\n{$inhalt['meldung']}\n\n";
		}
		$mail_text .= "\n\n";
		foreach ($fehler2 as $nummer => $inhalt) {
			$mail_text .= "{$inhalt['zeit']}:\n{$inhalt['meldung']}\n\n";
		}
		$mail_text .= "\n\n";
		foreach ($fehler3 as $nummer => $inhalt) {
			$mail_text .= "{$inhalt['zeit']}:\n{$inhalt['meldung']}\n\n";
		}
	swiftmail(array(''), $mail_subject, $mail_text."\n\n\nid_unterschrift: $id_unterschrift\n");
	}
}
else {
	swiftmail('','Online-Volksbegehren: Fälschungsversuch beim Abholen eines signierten PDF','$_GET[\'Ticket\']         : '.$ticket."\n".'$_SESSION[\'soap_ticket\']: '.$_SESSION['soap_ticket']."\n\nID Kündigung: {$_SESSION['id_kuendigung']}\n\n{$_SESSION['benutzer_name']} <{$_SESSION['benutzer_email']}>\r\n{$_SESSION['pdf_dateiname_lang']}\r\n\r\n".$uhrzeit[1]."\n".$e_signatur1."\n\n".$uhrzeit[2]."\n".$e_signatur2."\n\n".$uhrzeit[3]."\n".$e_signatur3."\n\n".$uhrzeit[4]."\n".$e_signatur4."\n\n".$uhrzeit[5]."\n".$e_signatur5);
}
$abfrage = $db->query("SELECT url FROM volksbegehren WHERE id_volksbegehren='{$_SESSION['id_volksbegehren']}'");
$datensatz = $abfrage->fetch_assoc();
header("Location: http://www.online-volksbegehren.at$verzeichnis{$datensatz['url']}");
?>
